// console.log('History');

// https://plainjs.com/javascript/utilities/set-cookie-get-cookie-and-delete-cookie-5/
function setCookie(name, value, days) {
  var d = new Date;
  d.setTime(d.getTime() + 24*60*60*1000*days);
  document.cookie = name + "=" + value + ";path=/;expires=" + d.toGMTString();
}
// var edlp is provided by edlp_ajax.module file
if(edlp.redirect){
  document.body.style.visibility = 'hidden';

  // record current sys_path in cookie (or storage) (without first slash to be like real system-path)
  setCookie('edlp_origin_path', edlp.sys_path.replace(/^\//, ''), 1);
  // create new location (transform current path to hash)
  // TODO: understand why edlp.com/#/presentation is magicaly transformed into edlp.com/presentation
  var newloc = window.location.origin+'#'+window.location.pathname;
  // redirect
  window.location.replace(newloc);
}else{
  document.body.style.visibility = 'visible';
}
